Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

nombre réponses : 25

#0 -1 »  Google Earth les polices de caractères de l'interface trop petites » Le 05/06/2012, à 19:23

Lami
Réponses : 6

Bonjour,

On me dit qu'il faut que je crée un nouveau fils de discussion même si mon problème est le même que bien d'autres personnes.

Alors, voilà !

Je suis sous Kubuntu 12.04 64 bits et je fais cela :

sudo aptitude update
sudo aptitude upgrade

Je télécharge le paquet « google-earth-stable_current_amd64.deb » daté du 16-06-2011.

Je l'installe avec GDebi, ce qui m'installe « google-earth-stable » version « 6.0.3.2197-ro (now) ».

Avec Synaptic je réinstalle le paquet « ttf-mscorefonts-installer (3.4ubuntu3) ».

Dans une console, je fais la commande :

fc-cache -fv

Qui me donne :

~$ fc-cache -fv
/usr/share/fonts: caching, new cache contents: 0 fonts, 4 dirs
/usr/share/fonts/X11: caching, new cache contents: 0 fonts, 4 dirs
/usr/share/fonts/X11/Type1: caching, new cache contents: 109 fonts, 0 dirs
/usr/share/fonts/X11/encodings: caching, new cache contents: 0 fonts, 1 dirs
/usr/share/fonts/X11/encodings/large: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/X11/misc: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/X11/util: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/cmap: caching, new cache contents: 0 fonts, 2 dirs
/usr/share/fonts/cmap/adobe-japan1: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/cmap/gs-cjk-resource: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/truetype: caching, new cache contents: 1 fonts, 20 dirs
/usr/share/fonts/truetype/droid: caching, new cache contents: 12 fonts, 0 dirs
/usr/share/fonts/truetype/dustin: caching, new cache contents: 20 fonts, 0 dirs
/usr/share/fonts/truetype/freefont: caching, new cache contents: 13 fonts, 0 dirs
/usr/share/fonts/truetype/gentium: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/truetype/gentium-basic: caching, new cache contents: 8 fonts, 0 dirs
/usr/share/fonts/truetype/kacst: caching, new cache contents: 15 fonts, 0 dirs
/usr/share/fonts/truetype/kacst-one: caching, new cache contents: 2 fonts, 0 dirs
/usr/share/fonts/truetype/lao: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/truetype/liberation: caching, new cache contents: 16 fonts, 0 dirs
/usr/share/fonts/truetype/msttcorefonts: caching, new cache contents: 60 fonts, 0 dirs
/usr/share/fonts/truetype/nanum: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/truetype/openoffice: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/truetype/takao-gothic: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/truetype/tlwg: caching, new cache contents: 54 fonts, 0 dirs
/usr/share/fonts/truetype/ttf-dejavu: caching, new cache contents: 21 fonts, 0 dirs
/usr/share/fonts/truetype/ttf-indic-fonts-core: caching, new cache contents: 17 fonts, 0 dirs
/usr/share/fonts/truetype/ttf-khmeros-core: caching, new cache contents: 2 fonts, 0 dirs
/usr/share/fonts/truetype/ttf-punjabi-fonts: caching, new cache contents: 2 fonts, 0 dirs
/usr/share/fonts/truetype/ubuntu-font-family: caching, new cache contents: 11 fonts, 0 dirs
/usr/share/fonts/truetype/wqy: caching, new cache contents: 2 fonts, 0 dirs
/usr/share/fonts/type1: caching, new cache contents: 0 fonts, 2 dirs
/usr/share/fonts/type1/gsfonts: caching, new cache contents: 35 fonts, 0 dirs
/usr/share/fonts/type1/mathml: caching, new cache contents: 1 fonts, 0 dirs
/usr/X11R6/lib/X11/fonts: skipping, no such directory
/usr/local/share/fonts: caching, new cache contents: 0 fonts, 0 dirs
/home/rene/.fonts: skipping, no such directory
/var/cache/fontconfig: not cleaning unwritable cache directory
/home/rene/.fontconfig: cleaning cache directory
fc-cache: succeeded

Je redémarre l'ordinateur et au lancement de « Google Earth 3D planet viewer », j'ai toujours la police de caractère qui est trop petite.

Est-ce que vous pourriez m'aider ?

#1 Re : -1 »  Google Earth : Ko avec Ubuntu 12.04, Ok avec Windows » Le 05/06/2012, à 15:33

Lami
Réponses : 9

Essayez avec la commande (votre mot de passe utilisateur vous sera demandé) :

sudo rm google-earth

#2 Re : -1 »  open cascade » Le 26/10/2012, à 06:53

Lami
Réponses : 20

Bonjour Maaon,

Et merci à KKF, qui a mieux répondue que je ne l'aurais fait, sa réponse est plus que parfaite !

L'ami René

#3 Re : -1 »  open cascade » Le 26/10/2012, à 16:15

Lami
Réponses : 20

FreeCAD est dans les dépôts de k/x/ubuntu !

L'ami René

#4 Re : -1 »  k8055 et droit d'accès à  l'usb » Le 16/07/2012, à 14:07

Lami
Réponses : 15

Salut David Mézière et les autres,

Est-ce que vous avez réussi vos compilations et exécutions sur la carte K8055 alias VM110 ?

J’essaie de nouveau, mais sous Kubuntu 12.04 64 bits et Lazarus (Free Pascal) !

Avec quels outils programmez-vous ?

#5 Re : -1 »  k8055 et droit d'accès à  l'usb » Le 27/07/2012, à 18:16

Lami
Réponses : 15

Bonjour,

J'ai finalement trouvé la manière de convertir le code source en Windows Delphi (Pascal Objet) pour le compiler sous Kubuntu 12.04 64 bits avec Lazarus (Free Pascal) !

Deux petites corrections pour incorporer la librairie Linux « LibK8055.so » à la place de la DDL « K8055.dll » et ça roulent...

Remplacer  « stdcall; external 'K8055d.dll'; » par « cdecl; external; ».

En entête des fichiers « K8055.pas » ou « LibUSB.pas » ou « USB.pas », corriger pour que cela ressemble à :

unit K8055;

{$mode objfpc}{$H+}
{$LINKLIB c}
{$LINKLIB usb}
{$LINKLIB libk8055.so}

interface

uses
...

Bonne programmation à tous...

#6 Re : -1 »  [Résolu] 12.04 libreoffice 3.5 : mot de passe H.S.(lié profil firefox) » Le 20/05/2012, à 12:52

Lami
Réponses : 18

Bonjour mohican,

La page Web de : Résoudre les problèmes rencontrés avec LibreOffice à été modifier en tenant compte de votre solution.

Un grand merci à vous !

L'ami René
P.-S. Je viens de corrigé avec le lien pour la nouvelle page. Remercie mohican !

#7 Re : -1 »  police google earth [Résolu] » Le 05/06/2012, à 14:07

Lami
Réponses : 118

Bonjour,

Je suis sous Kubuntu 12.04 64 bits et je fais cela :

sudo aptitude update
sudo aptitude upgrade

Je télécharge le paquet « google-earth-stable_current_amd64.deb » daté du 16-06-2011.

Je l'installe avec GDebi, ce qui m'installe « google-earth-stable » version « 6.0.3.2197-ro (now) ».

Avec Synaptic je réinstalle le paquet « ttf-mscorefonts-installer (3.4ubuntu3) ».

Dans une console, je fais la commande :

fc-cache -fv

Qui me donne :

~$ fc-cache -fv
/usr/share/fonts: caching, new cache contents: 0 fonts, 4 dirs
/usr/share/fonts/X11: caching, new cache contents: 0 fonts, 4 dirs
/usr/share/fonts/X11/Type1: caching, new cache contents: 109 fonts, 0 dirs
/usr/share/fonts/X11/encodings: caching, new cache contents: 0 fonts, 1 dirs
/usr/share/fonts/X11/encodings/large: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/X11/misc: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/X11/util: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/cmap: caching, new cache contents: 0 fonts, 2 dirs
/usr/share/fonts/cmap/adobe-japan1: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/cmap/gs-cjk-resource: caching, new cache contents: 0 fonts, 0 dirs
/usr/share/fonts/truetype: caching, new cache contents: 1 fonts, 20 dirs
/usr/share/fonts/truetype/droid: caching, new cache contents: 12 fonts, 0 dirs
/usr/share/fonts/truetype/dustin: caching, new cache contents: 20 fonts, 0 dirs
/usr/share/fonts/truetype/freefont: caching, new cache contents: 13 fonts, 0 dirs
/usr/share/fonts/truetype/gentium: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/truetype/gentium-basic: caching, new cache contents: 8 fonts, 0 dirs
/usr/share/fonts/truetype/kacst: caching, new cache contents: 15 fonts, 0 dirs
/usr/share/fonts/truetype/kacst-one: caching, new cache contents: 2 fonts, 0 dirs
/usr/share/fonts/truetype/lao: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/truetype/liberation: caching, new cache contents: 16 fonts, 0 dirs
/usr/share/fonts/truetype/msttcorefonts: caching, new cache contents: 60 fonts, 0 dirs
/usr/share/fonts/truetype/nanum: caching, new cache contents: 4 fonts, 0 dirs
/usr/share/fonts/truetype/openoffice: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/truetype/takao-gothic: caching, new cache contents: 1 fonts, 0 dirs
/usr/share/fonts/truetype/tlwg: caching, new cache contents: 54 fonts, 0 dirs
/usr/share/fonts/truetype/ttf-dejavu: caching, new cache contents: 21 fonts, 0 dirs
/usr/share/fonts/truetype/ttf-indic-fonts-core: caching, new cache contents: 17 fonts, 0 dirs
/usr/share/fonts/truetype/ttf-khmeros-core: caching, new cache contents: 2 fonts, 0 dirs
/usr/share/fonts/truetype/ttf-punjabi-fonts: caching, new cache contents: 2 fonts, 0 dirs
/usr/share/fonts/truetype/ubuntu-font-family: caching, new cache contents: 11 fonts, 0 dirs
/usr/share/fonts/truetype/wqy: caching, new cache contents: 2 fonts, 0 dirs
/usr/share/fonts/type1: caching, new cache contents: 0 fonts, 2 dirs
/usr/share/fonts/type1/gsfonts: caching, new cache contents: 35 fonts, 0 dirs
/usr/share/fonts/type1/mathml: caching, new cache contents: 1 fonts, 0 dirs
/usr/X11R6/lib/X11/fonts: skipping, no such directory
/usr/local/share/fonts: caching, new cache contents: 0 fonts, 0 dirs
/home/rene/.fonts: skipping, no such directory
/var/cache/fontconfig: not cleaning unwritable cache directory
/home/rene/.fontconfig: cleaning cache directory
fc-cache: succeeded

Je redémarre l'ordinateur et au lancement de « Google Earth 3D planet viewer », j'ai toujours la police de caractère qui est trop petite.

Est-ce que vous pourriez m'aider ?

#8 Re : -1 »  police google earth [Résolu] » Le 05/06/2012, à 19:30

Lami
Réponses : 118

Bonjour pierguiard,

Ok !

J'étais persuadé du contraire, c'est a dire que l'on me serait tombé dessus à bras raccourcis par ce qu'il y avait déjà plusieurs fils de discussions qui posaient le même sujet.

J'ai créé ce nouveau fils de discussion « Google Earth les polices de caractères de l'interface trop petites ».

#9 Re : -1 »  [Résolu] [Lenovo Ideapad S12] carte wifi Broadcom B4312 non active » Le 17/08/2011, à 19:46

Lami
Réponses : 12

Bonjour,

Merci denisgrugeon, tu m'as inspiré cela et sa fonctionne pour moi avec :

sudo kate /etc/modprobe.d/blacklist.conf

et l'ajout de la liste :

blacklist acer_wmi
blacklist b43
blacklist ssb
blacklist ndiswrapper

Je suis sous Kubuntu 11-04 64 bits sur un Lenovo B575.

#10 Re : -1 »  [Résolu] Gros souci au démarrage Kubuntu 10.04 » Le 05/02/2012, à 02:41

Lami
Réponses : 3

Bonjour Olivier,

Merci, cela m'a été utile et moi aussi ç’a réglé mon problème !

#11 Re : -1 »  Google Earth en panade;-) » Le 26/10/2010, à 04:03

Lami
Réponses : 16

Bonjour Joshua74

Merci pour ta solution  « googleearth_5.1.3533.1731-0medibuntu1_i386.deb » qui est impeccable avec ma Kubuntu 10.10 32 bits.

Au sens propre comme au figuré, la terre tourne mieux grâce à toi !

#12 Re : -1 »  intel HD graphics pour ubunut ? » Le 04/05/2011, à 19:27

Lami
Réponses : 8

Bonjour,

Je viens de recevoir en cadeau un portable MSI MS-1681 et la puce graphique serait une Intel GMA HD selon la fiche technique.

Je suis sous Kubuntu 11.04 64 bits et la commande lspci | grep VGA me retourne :

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12)

Le module des pilotes propriétaires ne me donne aucun pilote propriétaire à installer.

Je n'ai pas de GLX qui fonctionne. Avec X-Plane version 9.69 j'ai comme message d'erreur :

$ X-Plane-i686
Xlib:  extension "GLX" missing on display ":0".
Whoah -- no matter how hard I tried, I failed to get a GLX visual. Something's seriously wonky on your machine.

Mais, j'ai les paquets suivants d'installé :

libgl1-mesa-dri, libgl1-mesa-glx, mesa-utils, xserver-xorg-video-all, xserver-xorg-video-chips, xserver-xorg-video-intel, xserver-xorg-video-i740

Est-ce qu'il me manque des paquets à installer ?

Le fichier xorg.conf contient :

-------------------------------------------------------------
Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 0 0
    Option         "Xinerama" "0"
EndSection

Section "Files"
EndSection

Section "Monitor"
    Identifier     "Monitor0"
    VendorName     "Unknown"
    ModelName      "LPL"
    HorizSync       30.0 - 75.0
    VertRefresh     60.0
    Option         "DPMS"
EndSection

Section "Device"
    Identifier     "Device0"
    Driver         "intel"
    VendorName     "intel"
    BoardName      "Intel HD"
EndSection

Section "Screen"
    Identifier     "Screen0"
    Device         "Device0"
    Monitor        "Monitor0"
    DefaultDepth    24
    Option         "TwinView" "0"
    SubSection     "Display"
        Depth       24
    EndSubSection
EndSection
-------------------------------------------------------------

Est-ce qu'il y aurait une âme charitable pour nous aider ?

#13 Re : -1 »  intel HD graphics pour ubunut ? » Le 15/05/2011, à 13:12

Lami
Réponses : 8

Un petit « Up » pour relancer la demande d'aide !

Comment activer l'OpenGL (GLX) pour une carte graphique « Intel HD » ! Je souhaiterais m'envoler sur les ails de X-Plane 9, mais sans l'OpenGL, je suis cloué au sol !

#14 Re : -1 »  intel HD graphics pour ubunut ? » Le 23/08/2011, à 04:19

Lami
Réponses : 8

Bonjour chibbata

Un très grand merci pour votre aide !

Votre solution a fait avancer les choses, je n'ai plus de message d'erreur concernant « GLX », mais à la place, que cela soit pour X-Plane 9.70 ou Sellarium 0.10.5, les deux logiciels 3D que je souhaite utiliser, j'ai le message :

Erreur de segmentation

Est-ce que vous auriez une piste de solution ?

#15 Re : -1 »  intel HD graphics pour ubunut ? » Le 23/08/2011, à 06:42

Lami
Réponses : 8

Re-bonjour chibbata,

Vraiment, un grand merci pour votre aide, déjà, ne pas être seul avec sont problème, ça aide !

La solution avec le « sudo apt-get remove » ne change rien, j'ai le même problème, vous auriez une autre piste de solution ?

#16 Re : -1 »  problème mise à niveau 1.10 à partir de la 10.04 [résolu] » Le 26/10/2010, à 02:25

Lami
Réponses : 6

Bonjour et merci à tous,

Voici donc les trois commande a faire dans une konsole pour la migration de 10.04 à 10.10 que j'ai du faire chez moi :

  sudo dpkg --force-depends --remove x11-xkb-utils
  sudo dpkg --force-depends --remove x11-common
  sudo do-release-upgrade

#17 -1 »  [Résolu] Compilation en C++ avec CodeBlocks » Le 19/06/2010, à 01:39

Lami
Réponses : 6

Bonjour,

Je souhaite poursuivre mon autoformation en C++ avec CodeBlock, mais je débute le C++ avec le tuto de M@teo21 http://www.siteduzero.com/tutoriel-3-11 … out et cin et je bloque dès le début, car je ne peux compiler en C++.

Sur le Web et avec Google, j'ai bien trouvé deux ou trois solutions, mais aucune ne donne de résultat.

Voici le code et le message d'erreur de CodeBlokcs pour le programme "Bonjour le Monde ":

#include <iostream>

using namespace std;

int main()
{
    cout << "Bonjour le Monde !" << endl;
    return 0;
}

Le compilateur donne :

"BonjourLeMonde - Debug" uses an invalid compiler. Skipping...
Rien à faire.

Comme compilateur, j'ai dans CodeBlocks « GNU GCC Compiler » et comme « Répertoire d'installation du compilateur », j'ai « /usr ». Voici ce que j'ai comme paquet installé :

g++
g++-4.4
g++-4.4-multilib
g++-multilib
gcc-4.4-doc
gcc-doc
lib64stdc++6
libconfig++8
libstdc++6
libstdc++6-4.4-dev
codeblocks
codeblocks-contrib
codeblocks-dbg
codeblocks-dev
libcodeblocks0

Et j'ai lu que « GNU GCC Compiler» incluait  « g++ », alors ou est le problème ?

Vous pourriez m'aider à compiler en C++ avec CodeBlocks ?

Je suis sous Kubuntu 10.04 32 bits.

#18 Re : -1 »  [Résolu] Compilation en C++ avec CodeBlocks » Le 19/06/2010, à 18:23

Lami
Réponses : 6

Bonjour,

Pour résoudre le problème sous Linux, il faut soir changer le répertoire du compilateur à « /usr/bin » soit le plus simple, c'est dans le menu « Setting » ou « Paramètres », option l'onglet « Compiler and debogger... » ou « Compilateur et débogueur... », dans l'onglet « Toolchain executables » ou « Programmes » cliquer sur le bouton « Auto-detect » ou « Auto-détection ». Il cherchera le bon chemin pour votre compilateur gcc qui inclus le compilateur g++ et sa version.

Le détail le plus important et qu'après le changement, que ce soir « /usr » ou « /usr/bin », dans le champ du compilateur, il faut recréer le ou les projets initiaux après la correction.

J'ai testé les deux solutions sous Kubuntu 10.04 32 bits et ils fonctionnent tous les deux avec ce détail qu'il faut recréer le projet.

Je présume qu'une modification manuelle du fichier du projet fonctionnerait aussi, mais je ne me donnerai pas la peine de trouver cette solution.

Merci à tous.

#20 -1 »  [Résolu] Ouvrir des fichiers dans des instances Kate séparées » Le 17/06/2010, à 05:08

Lami
Réponses : 2

Bonjour,

Depuis le passage de Kubuntu 9.10 à 10.04, la configuration de l'ouverture des fichiers avec Kate a changé et les fichiers sont ouverts dans une seule instance de Kate, ce qui ne me convient pas.

Je voudrais que chaque fichier ouvert avec Kate depuis Konqueror se fasse dans des instances différentes de Kate.

Après plusieurs essais et des recherches dans la documentation et sur le Web, je n'ai pas trouvé de solution. Est-ce que vous en auriez pour moi ?

Merci !

#21 Re : -1 »  [Résolu] Ouvrir des fichiers dans des instances Kate séparées » Le 17/06/2010, à 17:28

Lami
Réponses : 2

Bonjour SheebyPanda,

Merci pour ton intervention, car après la lecture de ton message, j'ai exploré l'interface de Kate et trouvé la manière d'afficher le second fichier ouvert dans une fenêtre scindée verticalement (le bouton « Scindé la vue verticalement » et dans le menu « Aller » cliquer sur le bouton radio du seconde fichier, ce qui le fait apparaitre dans la seconde partie de l'écran.

Je ne connaissais pas cette astuce et elle remplace bien ce que je cherchais a faire avec deux instances de Kate.

Merci.

#22 -1 »  HP Mini 311 ne démarre plus depuis la MAJ au Kernel 2.6.32-22 » Le 17/06/2010, à 07:19

Lami
Réponses : 2

Bonjour,

Depuis la mise à jour pour le Kernel 2.6.31-22, il y a plus d'une semaine, mon HP Mini 311 ne démarre qu'après plusieurs demandes de démarrage.

Entre 3 et 8 démarrages sont requis.

Tout de suite après le lancement de la sélection de la version à démarrer du menu Grub, l'ordinateur se bloque sur un écran noir avec un curseur dans le coin supérieure gauche et pas de console disponible.

Pour le redémarrer, je dois appuyer sur le bouton « Power » plus de six secondes et il s'éteint, et je réappuie pour le démarrer.

Il y a au comme choix au menu Grub pour démarrer mon Kubuntu 10.04 les versions suivantes :

2.6.31-22 générique
2.6.31-22 générique recovery
2.6.31-21 générique
2.6.31-21 générique recovery
2.6.31-21 i386
2.6.31-21 i386 recovery

Et aucun ne fonctionne normalement, ils démarrent en moyenne une fois sur 5, 6, 7, 8 démarrages.

Mon WinXp démarre a chaque fois sans problème.

Depuis la dernière misa à jour d'hier le 11 juin, même l'interface X11 ne démarre plus du tout.

Un sudo update-grub ou un sudo dpkg-reconfigure -a ne change rien à la situation.

Des recherches sur le Web ne donne rien.

C'est terrible ce genre de situation !

Votre aide serait grandement appréciée !

#23 Re : -1 »  HP Mini 311 ne démarre plus depuis la MAJ au Kernel 2.6.32-22 » Le 17/06/2010, à 08:23

Lami
Réponses : 2

Bonjour jeanjd63,

Merci pour ton aide !

Voici mes partitions :

Part. : Type    : Total         : Utili.         : Libre
-------:----------:--------------:-------------:------------
sda1 : ntfs      : 24.02 Go   : 19.47 Go : 4.55 Go (WinXP)
sda2 : swap    : 4.10 Go    : -               : -            (Swap)
sda3 : ext3     : 14.00 Go  : 7.03 Go    : 6.97 Go (/)
sda4 : Extend : 106.9 Go  : -               : -            (-)
sda5 : Ext3     : 6.01 Go    : 1.37 Go    : 4.64 Go (/home)
sda6 : ntfs      : 100.9 Go  : 92.97 Go  : 7.95 Go (/home/rene/sda6)
-------:----------:--------------:-------------:------------

Voici ce que me donne la commande sudo  df  -h :

Sys. de fich.            Tail. Occ. Disp. %Occ. Monté sur
...
/dev/sdb5             6,0G  1,3G  4,4G  23% /media/disk (/home)
/dev/sdb6             101G   93G  8,0G  93% /media/Donnees (data Win et Linux)
/dev/sdb1              25G   20G  4,6G  82% /media/WinXP (WinXp)
/dev/sdb3              14G  6,9G  6,3G  53% /media/disk-1 (/)

Voici ce que me donne la commande sudo  fsck  -f  -y  /dev/sdb3 :

fsck de util-linux-ng 2.17.2
e2fsck 1.41.11 (14-Mar-2010)
Passe 1 : vérification des i-noeuds, des blocs et des tailles
Passe 2 : vérification de la structure des répertoires
Passe 3 : vérification de la connectivité des répertoires
Passe 4 : vérification des compteurs de référence
Passe 5 : vérification de l'information du sommaire de groupe
/dev/sdb3 : 201643/916656 fichiers (3.1% non contigus), 1842793/3670852 blocs

Voici ce que me donne la commande sudo  fsck  -f  -y  /dev/sdb5 :

fsck de util-linux-ng 2.17.2
e2fsck 1.41.11 (14-Mar-2010)
Passe 1 : vérification des i-noeuds, des blocs et des tailles
Passe 2 : vérification de la structure des répertoires
Passe 3 : vérification de la connectivité des répertoires
Passe 4 : vérification des compteurs de référence
Passe 5 : vérification de l'information du sommaire de groupe
/dev/sdb5 : 2801/392000 fichiers (12.2% non contigus), 358814/1574362 blocs

Les deux autres partitions sont en ntfs et fsck ne peux le vérifier.

C'est grave tout ça docteur ?

#24 Re : -1 »  Programmation Python et Qwt pour K8055, un bug ! » Le 09/06/2010, à 08:57

Lami
Réponses : 6

Bonjour valAa,

Un grand merci pour ton aide.

J'ai copié et collé tes lignes de code en lieu et place des miennes et j'ai le message :

$ python pyplotA.py
Traceback (most recent call last):
  File "pyplotA.py", line 11, in <module>
    from PyQt4.Qwt5 import *
  File "/usr/lib/pymodules/python2.6/PyQt4/Qwt5/__init__.py", line 32, in <module>
    from Qwt import *
ImportError: /usr/lib/pymodules/python2.6/PyQt4/Qwt5/Qwt.so: undefined symbol: _ZN13QwtLegendItem17setIdentfierWidthEi

Alors, nous sommes sur la bonne piste, il n'y a plus de problème de chargement de bibliothèque !

En utilisant un traducteur Web de langue, j'ai identifié la solution de ce nouveau problème, qui en fait est un bogue connu :

https://bugs.launchpad.net/ubuntu/+sour … bug/447160

The current version of python-qwt5-qt4 (pool/universe/p/pyqwt5/python-qwt5-qt4_5.1.1~cvs20090626+dfsg-1_i386.deb) throws the following error when imported:

Traceback (most recent call last):
  File "dualscope.py", line 53, in <module>
    from PyQt4 import Qwt5 as Qwt
  File "/usr/lib/pymodules/python2.6/PyQt4/Qwt5/__init__.py", line 32, in <module>
    from Qwt import *
ImportError: /usr/lib/pymodules/python2.6/PyQt4/Qwt5/Qwt.so: undefined symbol: _ZN13QwtLegendItem17setIdentfierWidthEi

This is a known upstream bug; the package should be sychronized with a later release. Please see the following:

" The problem is solved in version 5.1.1~cvs20090626+dfsg-2 and therefore I'm
closing the bug, even if it hasn't reached testing."

En français cela donne :

La version actuelle de python-qt4-qwt5 (pool/universe/p/pyqwt5/python-qwt5-qt4_5.1.1 ~ cvs20090626 + dfsg-1_i386.deb) jette l'erreur suivante lors de leur importation:

Traceback (appel le plus récent dernier):
  Fichier "dualscope.py", ligne 53, à <module>
    de l'importation Qwt5 PyQt4 que qwt
  Fichier "/" usr/lib/pymodules/python2.6/PyQt4/Qwt5/__init__.py, ligne 32, à <module>
    à l'importation qwt *
ImportError: / usr/lib/pymodules/python2.6/PyQt4/Qwt5/Qwt.so: undefined symbol: _ZN13QwtLegendItem17setIdentfierWidthEi

C'est un bug connu en amont, les colis doivent être synchronisés avec une version ultérieure. S'il vous plaît, consultez les rubriques suivantes:

"Le problème est résolu dans la version 5.1.1 ~ cvs20090626 + dfsg-2 et donc je suis
la fermeture du bogue, même si elle n'a pas atteint l'essai. "

Mon problème maintenant c'est pourquoi je n'ai seulement la version « 5.1.1 ~ cvs20090626 + dfsg-1 » dans mon système et non pas « 5.1.1 ~ cvs20090626 + dfsg-2 », qui est la solution.

Je suis sous Kubuntu 9.10 32 bits et voici les dépôts de mes sources :

deb http://ca.archive.ubuntu.com/ubuntu/ karmic main restricted
deb-src http://ca.archive.ubuntu.com/ubuntu/ karmic restricted main multiverse universe deb http://ca.archive.ubuntu.com/ubuntu/ karmic-updates main restricted
deb-src http://ca.archive.ubuntu.com/ubuntu/ karmic-updates restricted main multiverse universe #Added by software-properties
deb http://ca.archive.ubuntu.com/ubuntu/ karmic universe
deb http://ca.archive.ubuntu.com/ubuntu/ karmic-updates universe
deb http://ca.archive.ubuntu.com/ubuntu/ karmic multiverse
deb http://ca.archive.ubuntu.com/ubuntu/ karmic-updates multiverse
deb http://ca.archive.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse
deb-src http://ca.archive.ubuntu.com/ubuntu/ karmic-backports main restricted universe multiverse #Added by software-properties
deb http://archive.canonical.com/ubuntu karmic partner
deb http://security.ubuntu.com/ubuntu karmic-security main restricted
deb-src http://security.ubuntu.com/ubuntu karmic-security restricted main multiverse universe #Added by software-properties
deb http://security.ubuntu.com/ubuntu karmic-security universe
deb http://security.ubuntu.com/ubuntu karmic-security multiverse

Notez cependant qu'aujourd'hui j'ai le message suivant dans Synaptic :

Impossible de récupérer http://ppa.launchpad.net/medibuntu/ppa/ubuntu/dists/karmic/main/binary-i386/Packages.gz  404  Not Found
Le téléchargement de quelques fichiers d'index a échoué, ils ont été ignorés, ou les anciens ont été utilisés à la place.

Sur Launchpad, pour Kubuntu 9.10, il n'y a pas de version « ... dfsg-2 » du paquet « python-qt4-qwt5 », seulement pour 10.04 !

Sans passer de 9.10 à 10.4, comment résoudre mon problème ?

Merci d'avance !